Index: src/Fl_Native_File_Chooser_WIN32.cxx
===================================================================
--- src/Fl_Native_File_Chooser_WIN32.cxx	(revision 10687)
+++ src/Fl_Native_File_Chooser_WIN32.cxx	(working copy)
@@ -567,14 +567,24 @@
 //    1 - user cancelled
 //   -1 - failed; errmsg() has reason
 //
+#include <FL/fl.H>
 int Fl_Native_File_Chooser::show() {
+  int retval;
   if ( _btype == BROWSE_DIRECTORY ||
        _btype == BROWSE_MULTI_DIRECTORY ||
        _btype == BROWSE_SAVE_DIRECTORY ) {
-    return(showdir());
+    retval = showdir();
   } else {
-    return(showfile());
+    retval = showfile();
   }
+  Fl_Widget *wid = Fl::focus();
+  HWND h = (wid ? fl_xid(wid->top_window()) : 0);
+  if (h) {
+    WNDPROC windproc = (WNDPROC)GetWindowLongPtrW(h, GWLP_WNDPROC);
+    CallWindowProc(windproc, h, WM_ACTIVATEAPP, 1, 0);
+  }
+  else exit(0);
+  return retval;
 }
 
 // RETURN ERROR MESSAGE
